Name:    kde-settings-qubes
Summary: Package for installing all KDE components and settings needed for Qubes GuiVM
Version: 5.12.3
Release: 8%{?dist}

License: GPL2
URL: http://qubes-os.org

BuildArch: noarch

BuildRequires: make

Requires: qubes-desktop-linux-common
Requires: qubes-artwork
Requires: kde-gtk-config
Requires: kde-filesystem
Requires: kde-runtime
Requires: kde-runtime-flags
Requires: kde-runtime-libs
Requires: kde-settings
Requires: kdelibs
Requires: kdeplasma-addons
Requires: kscreen
Requires: ksysguardd
Requires: oxygen-cursor-themes
Requires: oxygen-icon-theme
Requires: plasma-workspace
Requires: plasma-workspace-libs
Requires: sddm
Requires: sddm-breeze

# Drop previous Qubes packages
Requires: kde-baseapps > 16.08.3
Conflicts: kde-baseapps = 2000:16.08.3
Obsoletes: qubes-kde-Dom0 <= 5.12.3

# other 3rd party packages that are useful in Dom0

# The konsole really looks awful without those fonts:
Requires: dejavu-sans-mono-fonts
Requires: dejavu-sans-fonts

# Qubes-customized menus
Requires: qubes-menus

# Custom Breeze style for Qubes
Requires: plasma-breeze-qubes

Source0: %{name}-%{version}.tar.gz

%description
%{summary}.

%package -n plasma-breeze-qubes
Summary: Qubes colorful frames for Breeze plasma theme
Requires: plasma-breeze
%if 0%{?fedora} >=32 || 0%{?rhel} >= 8
Requires: python3-pyxdg
%else
Requires: pyxdg
%endif

%description -n plasma-breeze-qubes
Qubes colorful frames for Breeze plasma theme.

%prep
%setup

%install
%make_install

%files
%defattr (-,root,root,-)
%{_sysconfdir}/skel/.kde/share/apps/kfileplaces/bookmarks.xml
%{_sysconfdir}/skel/.kde/share/config/kickoffrc
%{_sysconfdir}/skel/.kde/share/config/kscreensaverrc
%{_sysconfdir}/skel/.config/plasma-org.kde.plasma.desktop-appletsrc
%{_datadir}/qubes/kde-panel-layout.patch
%{_datadir}/plasma/look-and-feel/org.fedoraproject.fedora.desktop/contents/plasmoidsetupscripts/org.kde.plasma.kicker.js.qubes
%{_datadir}/plasma/look-and-feel/org.fedoraproject.fedora.desktop/contents/plasmoidsetupscripts/org.kde.plasma.kickerdash.js.qubes
%{_datadir}/plasma/look-and-feel/org.fedoraproject.fedora.desktop/contents/plasmoidsetupscripts/org.kde.plasma.kickoff.js.qubes
%{_datadir}/plasma/shells/org.kde.plasma.desktop/contents/updates/11-qubes.js
%{_datadir}/plasma/shells/org.kde.plasma.desktop/contents/updates/qubes-systray.js
%{_datadir}/kde-settings/kde-profile/default/share/applications/Thunar.desktop
%{_datadir}/kde-settings/kde-profile/default/share/applications/kde4/Help.desktop
%{_datadir}/kde-settings/kde-profile/default/share/applications/kde4/knetattach.desktop
%{_datadir}/kde-settings/kde-profile/default/share/applications/kde4/nepomukbackup.desktop
%{_datadir}/kde-settings/kde-profile/default/share/applications/kde4/nepomukcontroller.desktop
%{_datadir}/kde-settings/kde-profile/default/share/applications/org.kde.klipper.desktop
%{_datadir}/kde-settings/kde-profile/default/share/applications/org.kde.knetattach.desktop
%{_datadir}/kde-settings/kde-profile/default/share/applications/thunar-settings.desktop
%{_datadir}/kde-settings/kde-profile/default/share/autostart/nepomukcontroller.desktop
%{_datadir}/kde-settings/kde-profile/default/share/autostart/org.kde.klipper.desktop
%{_datadir}/kde-settings/kde-profile/default/share/config/klipperrc
%{_datadir}/kde-settings/kde-profile/default/share/config/nepomukserverrc
%{_datadir}/kde-settings/kde-profile/default/share/kde4/services/kcm_nepomuk.desktop

%files -n plasma-breeze-qubes
/usr/bin/qubes-generate-color-palette
%config(noreplace) /etc/xdg/autostart/qubes-generate-color-palette.desktop

%define settings_replace() \
qubesfile="%{1}" \
origfile=${qubesfile%.qubes} \
backupfile=${origfile}.kde \
if [ -r "$origfile" -a ! -r "$backupfile" ]; then \
	mv -f "$origfile" "$backupfile" \
fi \
cp -f "$qubesfile" "$origfile" \
%{nil}

%triggerin -- kde-settings
# Qubes menus prefix
sed -i 's|XDG_MENU_PREFIX="kde4-"|XDG_MENU_PREFIX="kde4-qubes-"|g' /etc/kde/env/env.sh
sed -i 's|XDG_MENU_PREFIX="kf5-"|XDG_MENU_PREFIX="kf5-qubes-"|g' /etc/xdg/plasma-workspace/env/env.sh

%settings_replace /usr/share/plasma/look-and-feel/org.fedoraproject.fedora.desktop/contents/plasmoidsetupscripts/org.kde.plasma.kicker.js.qubes
%settings_replace /usr/share/plasma/look-and-feel/org.fedoraproject.fedora.desktop/contents/plasmoidsetupscripts/org.kde.plasma.kickerdash.js.qubes
%settings_replace /usr/share/plasma/look-and-feel/org.fedoraproject.fedora.desktop/contents/plasmoidsetupscripts/org.kde.plasma.kickoff.js.qubes

%triggerin -- plasma-desktop
default_layout="/usr/share/plasma/layout-templates/org.kde.plasma.desktop.defaultPanel/contents/layout.js"
if ! grep -q qubesMenu "$default_layout"; then
    cp -a "$default_layout" "$default_layout.qubes-orig"
    patch "$default_layout" < /usr/share/qubes/kde-panel-layout.patch
fi

%post
# it used to be replaced, but now is back to default content - restore it on
# update
configfile=/usr/share/plasma/plasmoids/org.kde.plasma.kickoff/contents/ui/FullRepresentation.qml
backupfile=${configfile}.kde
if [ -r "$backupfile" ]; then
    mv -f "$backupfile" "$configfile"
fi

touch --no-create %{_kde4_iconsdir}/hicolor ||:
touch --no-create %{_kde4_iconsdir}/breeze ||:

%posttrans
gtk-update-icon-cache --quiet %{_kde4_iconsdir}/hicolor ||:
gtk-update-icon-cache --quiet %{_kde4_iconsdir}/breeze ||:
update-desktop-database -q ||:

%postun
if [ $1 -eq 0 ] ; then
  touch --no-create %{_kde4_iconsdir}/hicolor ||:
  touch --no-create %{_kde4_iconsdir}/breeze ||:
  gtk-update-icon-cache --quiet %{_kde4_iconsdir}/hicolor ||:
  gtk-update-icon-cache --quiet %{_kde4_iconsdir}/breeze ||:
  update-desktop-database -q ||:
fi

%changelog
* Sat Aug 05 2023 Qubes OS Team <qubes-devel@googlegroups.com>
- For complete changelog see: https://github.com/QubesOS/qubes-desktop-linux-kde

* Sat Aug 05 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - c11fe3d
- version 5.12.3-8

* Thu Aug 03 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 6426f46
- Add new menu launcher to the initial panel layout too

* Fri Jul 21 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 89e3efd
- Remove unused 'panels' variable

* Sun Jul 16 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - ac4713d
- Update GTK icon theme after installing KDE

* Sun Jul 16 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 6d5d8d7
- Rename 10-qubes.js to 11-qubes.js to make it applied on update

* Sun Jul 16 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - d7555a7
- Move menu launcher to the left on the update too

* Wed Jul 12 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - d08926f
- version 5.12.3-7

* Sat Jul 08 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - cb4c865
- Require kdeplasma-addons for 'quicklauncher' plasmoid

* Sat Jul 08 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - fe1ad85
- Restore original menu layout file

* Sat Jul 08 2023 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - 5b9a5be
- Update config script for newer KDE and Qubes Menu

* Fri Jan 20 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 39e5c3f
- version 5.12.3-6

* Mon May 09 2022 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 04ccab3
- .qubesbuilder: replace 'spec' by 'build'

* Mon Apr 25 2022 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 353fb19
- Drop CentOS Stream support

* Mon Apr 18 2022 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - bad8e4a
- Add Qubes Builder v2 integration

* Fri Apr 15 2022 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 20adab3
- Drop Travis CI

* Fri Jun 18 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - a37b96a
- version 5.12.3-5

* Sat May 08 2021 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 61a6818
- spec: add BR make

* Thu Dec 03 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 7e26858
- Currently ignore build for CentOS

* Sun Nov 15 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 5db22db
- Add .gitlab-ci.yml

* Wed Oct 14 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 3abc5b9
- version 5.12.3-4

* Wed Jun 24 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 83da32f
- Update travis

* Wed Jun 24 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - a0fff37
- Rename package to kde-settings-qubes

* Wed Jun 24 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 802ea62
- spec: update for newer kde version

* Wed Jun 24 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 5ac8f5f
- Create .spec.in

* Sun Jan 05 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 599bebe
- travis: switch to fc31 dom0

* Sat Oct 19 2019 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 03df679
- travis: switch to bionic

* Sun Jan 27 2019 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 235eb14
- Update .travis.yml for Fedora 29 dom0

* Sun Jan 27 2019 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 21492ed
- Move kde-baseapps kde-settings plasma-breeze-qubes to separate components

* Sat Dec 23 2017 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 4a3f411
- plasma-breeze-qubes 5.5.8, kde-settings 25-6.2

* Sat Dec 23 2017 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 0fa7a40
- kde-settings: adjust default menu icon

* Sat Dec 23 2017 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - a3ca170
- plasma-breeze-qubes: fix Qubes 4.0 support

* Sat Dec 23 2017 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - e93f8c3
- kde-settings 25-6.1

* Sat Dec 23 2017 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 0a81f6a
- kde-baseapps 16.08.3

* Sat Sep 23 2017 Freddie Rice <freddie.rice@gmail.com> - db093af
- qubes-menus does not exist anymore

* Tue Jul 18 2017 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - da83a2b
- qubes-kde-dom0 5.12.3-3

* Tue Jul 18 2017 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 3241732
- Remove qubes-menus package

* Fri Mar 31 2017 Jean-Philippe Ouellet <jpo@vt.edu> - 08b8d41
- Require qubes-desktop-linux-common

* Mon Sep 12 2016 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 2278156
- plasma-breeze-qubes 5.5.7

* Mon Sep 12 2016 Vít Šesták <CONTACT-ME-AT-contact.v6ak.com@spam.v6ak.com> - 92b5392
- Fixed low contrast for some VM colors (most notably yellow) in Breeze theme.

* Sat Jun 25 2016 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - ce9f3c8
- plasma-breeze-qubes 5.5.6

* Sat Jun 25 2016 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - f706917
- plasma-breeze-qubes: fix autostart settings for palette generator

* Sat Jun 25 2016 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 6845bec
- plasma-breeze-qubes: typo fix in tool name

* Mon Jun 20 2016 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 3f43779
- plasma-breeze-qubes: obsolete KDE4 equivalent

* Tue Jun 07 2016 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 286c5e5
- kde-settings 23-11.2, plasma-breeze-qubes 5.5.5, qubes-kde-dom0 5.12.3-2, qubes-menus 2.0

* Tue Jun 07 2016 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 7a22b2f
- kde-baseapps: fix rpm syntax

* Tue Jun 07 2016 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - af05b63
- travis: update to R3.2

* Mon Jun 06 2016 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - ca35ab0
- qubes-kde-dom0: set default menu button icon

* Mon Jun 06 2016 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 79bd8d5
- qubes-kde-dom0: set default wallpaper

* Mon Jun 06 2016 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 036bc06
- qubes-kde-dom0: provide default desktop applets configuration

* Mon May 30 2016 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 85c4d3c
- plastik-for-qubes 1.2-1

